Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.jayasoft.ivy.resolver
Class AbstractURLResolver

    java.lang.Object
      fr.jayasoft.ivy.resolver.AbstractResolver
          fr.jayasoft.ivy.resolver.AbstractURLResolver

All Implemented Interfaces:
  DependencyResolver, HasLatestStrategy, IvyAware

Deprecated. use RepositoryResolver instead

public abstract class AbstractURLResolver
extends AbstractResolver

Author:
  Xavier Hanin

Field Summary
`protected java.lang.String` | `_workspaceName` Deprecated.
`static java.text.SimpleDateFormat` | `DATE_FORMAT` Deprecated.

Constructor Summary
`AbstractURLResolver()` Deprecated.

Method Summary
`protected boolean` | `acceptLatest()` Deprecated.
`void` | `addArtifactPattern(java.lang.String pattern)` Deprecated.
`void` | `addConfiguredArtifact(IvyPattern p)` Deprecated.
`void` | `addConfiguredIvy(IvyPattern p)` Deprecated.
`void` | `addIvyPattern(java.lang.String pattern)` Deprecated. example of pattern : ~/Workspace/[module]/[module].ivy.xml
`DownloadReport` | `download(Artifact[] artifacts, Ivy ivy, java.io.File cache)` Deprecated.
`protected java.util.Collection` | `findArtifactNames(java.util.Map tokenValues, java.lang.String token)` Deprecated.
`protected ResolvedURL` | `findFirstArtifact(ModuleDescriptor md, ModuleRevisionId mrid, java.util.Date date)` Deprecated.
`protected java.util.Collection` | `findIvyNames(java.util.Map tokenValues, java.lang.String token)` Deprecated.
`protected java.util.Collection` | `findNames(java.util.Map tokenValues, java.lang.String token)` Deprecated.
`protected void` | `findTokenValues(java.util.Collection names, java.util.List patterns, java.util.Map tokenValues, java.lang.String token)` Deprecated.
`protected void` | `findTokenValues(java.util.Collection names, java.util.List listers, java.lang.String prefix, java.util.List patterns, java.util.Map tokenValues, java.lang.String token)` Deprecated.
`protected abstract ResolvedURL` | `findURLUsingPattern(ModuleRevisionId moduleRevision, java.lang.String pattern, java.lang.String artifact, java.lang.String type, java.lang.String ext, java.util.Date date)` Deprecated.
`java.util.List` | `getArtifactPatterns()` Deprecated.
`protected ResolvedURL` | `getArtifactURL(Artifact artifact)` Deprecated.
`ResolvedModuleRevision` | `getDependency(DependencyDescriptor dd, ResolveData data)` Deprecated. Resolve a module by id, getting its module descriptor and resolving the revision if it's a latest one (i.e. a revision uniquely identifying the revision of a module in the current environment - If this revision is not able to identify uniquelely the revision of the module outside of the current environment, then the resolved revision must begin by ##)
`java.util.List` | `getIvyPatterns()` Deprecated.
`protected ResolvedURL` | `getIvyURL(ModuleRevisionId moduleRevision, java.util.Date date)` Deprecated.
`LatestStrategy` | `getLatestStrategy()` Deprecated.
`protected long` | `getPublicationDate(ModuleDescriptor md, ModuleRevisionId mrid, java.util.Date date)` Deprecated.
`java.lang.String` | `getWorkspaceName()` Deprecated.
`boolean` | `isEnvDependent()` Deprecated.
`ModuleEntry[]` | `listModules(OrganisationEntry org)` Deprecated.
`OrganisationEntry[]` | `listOrganisations()` Deprecated.
`RevisionEntry[]` | `listRevisions(ModuleEntry mod)` Deprecated.
`protected void` | `logIvyNotFound(ModuleRevisionId mrid)` Deprecated. Output message to log indicating what have been done to look for an artifact which has finally not been found
`protected void` | `logNotFound(Artifact artifact)` Deprecated. Output message to log indicating what have been done to look for an artifact which has finally not been found
`void` | `reportFailure()` Deprecated. Reports last resolve failure as Messages
`protected void` | `setArtifactPatterns(java.util.List artifactPatterns)` Deprecated.
`void` | `setEnvDependent(boolean envDependent)` Deprecated.
`protected void` | `setIvyPatterns(java.util.List ivyPatterns)` Deprecated.
`void` | `setLatest(java.lang.String strategyName)` Deprecated.
`void` | `setLatestStrategy(LatestStrategy latestStrategy)` Deprecated.
`void` | `setWorkspaceName(java.lang.String workspaceName)` Deprecated.
`java.lang.String` | `toString()` Deprecated.

Methods inherited from class fr.jayasoft.ivy.resolver.AbstractResolver
`doValidate, dumpConfig, exists, findModuleInCache, fromSystem, fromSystem, getIvy, getLatest, getName, getNamespace, getSystemNode, getTypeName, isValidate, reportFailure, setIvy, setName, setNamespace, setValidate, toSystem, toSystem, toSystem, toSystem`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface fr.jayasoft.ivy.DependencyResolver
`publish`

Field Detail

### DATE_FORMAT

    public static final java.text.SimpleDateFormat DATE_FORMAT

  Deprecated.

### _workspaceName

    protected java.lang.String _workspaceName

  Deprecated.

Constructor Detail

### AbstractURLResolver

    public AbstractURLResolver()

  Deprecated.

Method Detail

### getWorkspaceName

    public java.lang.String getWorkspaceName()

  Deprecated.

### setWorkspaceName

    public void setWorkspaceName(java.lang.String workspaceName)

  Deprecated.

### isEnvDependent

    public boolean isEnvDependent()

  Deprecated.

### setEnvDependent

    public void setEnvDependent(boolean envDependent)

  Deprecated.

### getLatestStrategy

    public LatestStrategy getLatestStrategy()

  Deprecated.
  Specified by:
    `getLatestStrategy` in interface `HasLatestStrategy`
  Overrides:
    `getLatestStrategy` in class `AbstractResolver`

### setLatestStrategy

    public void setLatestStrategy(LatestStrategy latestStrategy)

  Deprecated.
  Specified by:
    `setLatestStrategy` in interface `HasLatestStrategy`
  Overrides:
    `setLatestStrategy` in class `AbstractResolver`

### setLatest

    public void setLatest(java.lang.String strategyName)

  Deprecated.
  Overrides:
    `setLatest` in class `AbstractResolver`

### getDependency

    public ResolvedModuleRevision getDependency(DependencyDescriptor dd,
                                                ResolveData data)
                                         throws java.text.ParseException

  Deprecated.
  Description copied from interface: `DependencyResolver`
  Resolve a module by id, getting its module descriptor and resolving the revision if it's a latest one (i.e. a revision uniquely identifying the revision of a module in the current environment - If this revision is not able to identify uniquelely the revision of the module outside of the current environment, then the resolved revision must begin by ##)

  Throws:
    `java.text.ParseException`

### reportFailure

    public void reportFailure()

  Deprecated.
  Description copied from interface: `DependencyResolver`
  Reports last resolve failure as Messages

  Specified by:
    `reportFailure` in interface `DependencyResolver`
  Overrides:
    `reportFailure` in class `AbstractResolver`

### acceptLatest

    protected boolean acceptLatest()

  Deprecated.

### download

    public DownloadReport download(Artifact[] artifacts,
                                   Ivy ivy,
                                   java.io.File cache)

  Deprecated.

### getPublicationDate

    protected long getPublicationDate(ModuleDescriptor md,
                                      ModuleRevisionId mrid,
                                      java.util.Date date)

  Deprecated.

### toString

    public java.lang.String toString()

  Deprecated.
  Overrides:
    `toString` in class `AbstractResolver`

### addIvyPattern

    public void addIvyPattern(java.lang.String pattern)

  Deprecated.
  example of pattern : ~/Workspace/[module]/[module].ivy.xml

  Parameters:
    `pattern` -

### addArtifactPattern

    public void addArtifactPattern(java.lang.String pattern)

  Deprecated.

### getIvyPatterns

    public java.util.List getIvyPatterns()

  Deprecated.

### getArtifactPatterns

    public java.util.List getArtifactPatterns()

  Deprecated.

### setIvyPatterns

    protected void setIvyPatterns(java.util.List ivyPatterns)

  Deprecated.

### setArtifactPatterns

    protected void setArtifactPatterns(java.util.List artifactPatterns)

  Deprecated.

### addConfiguredIvy

    public void addConfiguredIvy(IvyPattern p)

  Deprecated.

### addConfiguredArtifact

    public void addConfiguredArtifact(IvyPattern p)

  Deprecated.

### getIvyURL

    protected ResolvedURL getIvyURL(ModuleRevisionId moduleRevision,
                                    java.util.Date date)

  Deprecated.

### getArtifactURL

    protected ResolvedURL getArtifactURL(Artifact artifact)

  Deprecated.

### findFirstArtifact

    protected ResolvedURL findFirstArtifact(ModuleDescriptor md,
                                            ModuleRevisionId mrid,
                                            java.util.Date date)

  Deprecated.

### logIvyNotFound

    protected void logIvyNotFound(ModuleRevisionId mrid)

  Deprecated.
  Output message to log indicating what have been done to look for an artifact which has finally not been found

### logNotFound

    protected void logNotFound(Artifact artifact)

  Deprecated.
  Output message to log indicating what have been done to look for an artifact which has finally not been found

  Parameters:
    `artifact` - the artifact which has not been found

### findURLUsingPattern

    protected abstract ResolvedURL findURLUsingPattern(ModuleRevisionId moduleRevision,
                                                       java.lang.String pattern,
                                                       java.lang.String artifact,
                                                       java.lang.String type,
                                                       java.lang.String ext,
                                                       java.util.Date date)

  Deprecated.

### listOrganisations

    public OrganisationEntry[] listOrganisations()

  Deprecated.
  Specified by:
    `listOrganisations` in interface `DependencyResolver`
  Overrides:
    `listOrganisations` in class `AbstractResolver`

### listModules

    public ModuleEntry[] listModules(OrganisationEntry org)

  Deprecated.
  Specified by:
    `listModules` in interface `DependencyResolver`
  Overrides:
    `listModules` in class `AbstractResolver`

### listRevisions

    public RevisionEntry[] listRevisions(ModuleEntry mod)

  Deprecated.
  Specified by:
    `listRevisions` in interface `DependencyResolver`
  Overrides:
    `listRevisions` in class `AbstractResolver`

### findNames

    protected java.util.Collection findNames(java.util.Map tokenValues,
                                             java.lang.String token)

  Deprecated.

### findIvyNames

    protected java.util.Collection findIvyNames(java.util.Map tokenValues,
                                                java.lang.String token)

  Deprecated.

### findArtifactNames

    protected java.util.Collection findArtifactNames(java.util.Map tokenValues,
                                                     java.lang.String token)

  Deprecated.

### findTokenValues

    protected void findTokenValues(java.util.Collection names,
                                   java.util.List patterns,
                                   java.util.Map tokenValues,
                                   java.lang.String token)

  Deprecated.

### findTokenValues

    protected void findTokenValues(java.util.Collection names,
                                   java.util.List listers,
                                   java.lang.String prefix,
                                   java.util.List patterns,
                                   java.util.Map tokenValues,
                                   java.lang.String token)

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD